LFR-FSW - Bug #111

Pb de timing dans le traitement de TC_LFR_UPDATE_TIME
02/04/2014 12:37 PM - Gerald Saule

Status: Closed Start date: 02/04/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r110

Description

Le changement de temps interne (au LFR) doit se faire sur réception du time code.
Par le code Python, on envoie TC_LFR_UPDATE_TIME, puis le time code 300ms apres.

On a les traces:

11:27:26.425912, TM_LFR_HK, ..., TIME=0x000000044139, ..., HK_LFR_MODE: SBM2 = 4, ...,

SY_LFR_SW _VERSION N1i=1, SY LFR_SW_VERSION N2=0, SY LFR _SW_VERSION_N3=0,

SY LFR_SW_VERSION N4=4, SY LFR_FPGA VERSION N1=0, SY LFR FPGA VERSION N2=2,
SY_LFR_FPGA_VERSION_N3=255, ..., HK_LFR_UPDATE_TIME_TC_CNT=3, ...

11:27:27.193676, TC_LFR_UPDATE_TIME, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=8658, (PACKET SEQUENCE_CONTROL=0xe1d2), PACKET LENGTH=11,
CCSDS_SECONDARY_HEADER FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
TIME_MANAGEMENT = 9, SERVICE_SUBTYPE: UPDATE_TIME = 129, SOURCE_ID: MISSION_TIMELINE = 110,
CP_RPW_TIME=0x000000000000, CRC = 0x4428

11:27:27.42591, TM_LFR_HK, ..., TIME=0x00000005413a, ..., HK_LFR_UPDATE_TIME_TC_CNT=4, ...
11:27:28.425916, TM_LFR_HK, ..., TIME=0x00000006413c, ...

11:27:29.425921, TM_LFR_HK, ..., TIME=0x00000000e€13, ...

D'aprés le HK recu a 11:27:27.42591, LFR aregu le TC_LFR_UPDATE_TIME a TIME=0x00000005413a.
Dans le pire cas (ou il faut encore attendre les 300ms pour recevoir le time code, avant la remise a 0 du temps interne), le temps
interne ne pourra donc pas dépasser 0x000000058E07 (au format CUC).

Malheureusement, il s'écoule plus d'un seconde avant la prise en compte de la valeur de CP_RPW_TIME.
C'est clairement incompatible avec la cadence possible des TC_LFR_UPDATE_TIME (1Hz).

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.2.255

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.4 (variante sur carte finale)

TEST CASE = SVS-0011
Req = SSS-CP-FS-360

RPW-SYS-IDB-00067-LES_Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2

History

#1 - 02/05/2014 03:27 PM - paul leroy

Relancer le test avec fsw >= 1.0.0.6 et vhdl >= 0.1.10 pour mieux diagnostiquer le probleme.

#2 - 02/05/2014 03:28 PM - paul leroy

- Status changed from New to Feedback

13/03/2024 12




- Assignee changed from paul leroy to bruno katra

#3 - 13/06/2014 0

5:22 PM - bruno katra

Test relancé en vhdl 0.1.16 et FSW 1.0.0.8 : Le bug semble corrigé :

- SVS-0011 (traces dans le fichier 2014_06_12-15_42_ 11-Detail.txt)
temps et le compteur qui s incremente

On voit b
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
TM_LFR_HK
000 +TimeCode

Avec la trace des données scientifiques

15:41:51.
15:41:51.
15:41:51.
15:41:52.

1- Remarque

ien 1 application du
TIME=0x800000146£89
TIME=0x000000001cb5
TIME=0x000000011cb6
TIME=0x000000021cb5
TIME=0x000000031cb2
TIME=0x000000042229
TIME=0x0000000522£f5
TIME=0x00000000cf8b

HK_LFR_UPDATE_TIME_TC_CNT=0
HK_LFR_UPDATE_TIME_TC_CNT=1
HK_LFR_UPDATE_TIME_TC_CNT=1
HK_LFR_UPDATE_TIME_TC_CNT=1
HK_LFR_UPDATE_TIME_TC_CNT=1
HK_LFR_UPDATE_TIME_TC_CNT=1
HK_LFR_UPDATE_TIME_TC_CNT=2

HK_LFR_UPDATE_TIME_TC_CNT=2 -- TC_LFR_DATE_TIME avec CP_RPW_TIME=0x000000000

(UPDATE_TIME + Timecode a 15:41:51.321852)

021507, TC_LFR_UPDATE_TIME,CP_RPW_TIME=0x000000000000
093125, TM_LFR_SCIENCE_BURST_BP1_FO0,TIME=0x000000050e33 --Ici le Time code n est pas arrivé
113247, TM_LFR_SCIENCE_BURST_BP1_F1,TIME=0x0000000517c4

086791, TM_LFR_SCIENCE_BURST_BP1_FO0, *TIME=0x00000000b9de* L update time a ete appliqué

La commande TC_LFR_UPDATE_TIME entraine 1 increment du champ HK_LFR_UPDATE_TIME_TC_CNT de la TM_LFR_HK (sa
ns attendre le timecode) mais pas

HK_LFR_LAST_EXE_TC_ID,HK_LFR_LAST_EXE_TC_TYPE, HK_LFR_LAST_EXE_TC_SUBTYPE, HK_LFR_LAST_EXE_TC_TIME.
C'est normal dixit Paul et effectivement cette commande n est pas acceptée et executée.

#4 - 13/06/2014 05:23 PM - bruno katra

- File 2014_06_12-15_42_11-Detail.txt added

- Status changed

from Feedback to Closed

de mise a jour des

- Assignee changed from bruno katra to Veronique bouzid
